<?php
/**
 * @file
 * popsu_pages_neutres.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function popsu_pages_neutres_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  list($module, $api) = func_get_args();
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function popsu_pages_neutres_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function popsu_pages_neutres_node_info() {
  $items = array(
    'popsu_page_neutral' => array(
      'name' => t('Page neutre'),
      'base' => 'node_content',
      'description' => t('Les pages neutres n\'appartiennent à aucun POPSU. Exemple : la page "Mentions légales".'),
      'has_title' => '1',
      'title_label' => t('Titre de la page'),
      'help' => '',
    ),
  );
  return $items;
}
